List Project Connections
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"connection_generation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration": "<string>",
"scope": "user",
"display_name": "<string>",
"can_disconnect": true,
"can_reconnect": true,
"project": {
"id": "<string>",
"slug": "<string>",
"name": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"status": "connected"
}
],
"page_info": {
"self": "<string>",
"first": null,
"next": "<string>",
"prev": "<string>"
},
"total": 1
}{
"error": "<string>",
"message": "<string>"
}List Project Connections
Lists shared project connections and the authenticated viewer’s private project-user connections.
GET
/
projects
/
{project_reference}
/
connections
List Project Connections
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project slug, UUID, or domain that identifies the project.
Query Parameters
Opaque cursor pointing at the next page. Omit it to read the first page.
Required range:
1 <= x <= 100Available options:
project, status, created_at Available options:
asc, desc